TIPS restore from another freepbx sql

ariban

Member
Joined
Aug 1, 2013
Messages
204
Reaction score
12
HI
I was convinced in order to get EPM working i had to buy from sangoma, but to do that, they made me install some rpm etc...
after that install, i was able to see commercial modules and i was getting notifications that many modules need upgrades, which i did, but then many things didnt work well in my PIAF 13.
so i installed a new fresh install of PIAF and it works great.
however in order not to reprogram all extensions, trunks, etc... I used the freepbx backup and restore, i ONLY backed up the SQL database, and i only restored that.

everything works great, however someone it shows me commercial modules and that i need to upgrade modules (this was not showing before the restore of the SQL.

how can i stop seeing the needed upgrade and commercial modules which (when i did that on my old install, it broke my old install)

Thank you
 

dicko

Still learning but earning
Joined
Oct 30, 2015
Messages
627
Reaction score
229
HI
I was convinced in order to get EPM working i had to buy from sangoma, but to do that, they made me install some rpm etc...
after that install, i was able to see commercial modules and i was getting notifications that many modules need upgrades, which i did, but then many things didnt work well in my PIAF 13.
so i installed a new fresh install of PIAF and it works great.
however in order not to reprogram all extensions, trunks, etc... I used the freepbx backup and restore, i ONLY backed up the SQL database, and i only restored that.

everything works great, however someone it shows me commercial modules and that i need to upgrade modules (this was not showing before the restore of the SQL.

how can i stop seeing the needed upgrade and commercial modules which (when i did that on my old install, it broke my old install)

Thank you
Disable the commercial repo
 

ariban

Member
Joined
Aug 1, 2013
Messages
204
Reaction score
12
how? and how do i stop the warning showing me to upgrade modules that would otherwise not show me that warning on incrediblepbx?
 

dicko

Still learning but earning
Joined
Oct 30, 2015
Messages
627
Reaction score
229
In admin>module admin make the ones you want to use "dark blue" make the ones you dont want to use "light blue" (use your mouse and the left-button to do that :) ) then 'commit it' , use the same mouse/key combination for that too
 

ariban

Member
Joined
Aug 1, 2013
Messages
204
Reaction score
12
In admin>module admin make the ones you want to use "dark blue" make the ones you dont want to use "light blue" (use your mouse and the left-button to do that :) ) then 'commit it' , use the same mouse/key combination for that too
thats not what i am asking! please read my question before attempting to make it sound stupid

in the original piaf 13, you dont even have the option to select commercial modules, and when you login you do NOT get any warning notices to upgrade any modules.
after i did the restore from my old piaf 13, it shows me all the warnings. i want to make sure no one else in the company with access by mistakes updates anything. because from my first post, i wrote that, that broke some functions in my piaf 13 which is the reason why i started a new fresh one!

anyone else with a proper response, i would appreciate the help

thank you
 

Members online

PIAF 5 - Powered by 3CX

Forum statistics

Threads
22,262
Messages
136,420
Members
14,501
Latest member
yeoldroundabout